Futures Data
Get funding settlements
GET
/futures/funding-settlementsPublicGet the funding settlement history. A settlement happens every 8 hours (00:00, 08:00, 16:00 UTC). See the Funding documentation for more information.
from?stringStart date, unix epoch 0 by default
Format
date-timeDefault
"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
Format
date-timeDefault
"2026-09-12T10:28:28.259Z"limit?integerNumber of entries to return, default to 1000
Range
1 <= value <= 1000Default
1000cursor?stringCursor for pagination
Format
date-timeOK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient()const result = await client.futures.getFundingSettlements({ from: '1970-01-01T00:00:00.000Z', to: '2026-09-12T10:28:26.634Z', limit: 500}){ "data": [ { "id": "f0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e", "time": "2025-01-01T00:00:00.000Z", "fixingPrice": 43250, "fundingRate": 0.0001 } ], "nextCursor": "2024-01-15T10:30:00.000Z"}